<?php

// Database credentials
$db_servername = "localhost";
$db_username = "root";
$db_password = "";

try {
    $db = new PDO("mysql:host=$db_servername;dbname=cmc_database", $db_username, $db_password);


// Set the error mode
$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $typ = $_POST["typ"];
    $name = $_POST["name"];
    $vorname = $_POST["vorname"];
    $fuehrung = $_POST["fuehrung"];
    $headsets = $_POST["headsets"];
    $anzahl_tickets = $_POST["anzahl_tickets"];
    $preis = $_POST["preis"];
    $zahlungsart = $_POST["zahlungsart"];
    $iban = $_POST["iban"];
    $bic = $_POST["bic"];
    $termin = $_POST["termin"];

if ($typ == "buchung") {
    $sql = "INSERT INTO buchungen (Name, Vorname, Fuehrung, Anzahl_Headsets, Anzahl_Tickets, Preis, Typ, Zahlungsart, IBAN, BIC, Termin) 
                VALUES (:name, :vorname, :fuehrung, :headsets, :anzahl_tickets, :preis, :typ, :zahlungsart, :iban, :bic, :termin)";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(":name", $name);
    $stmt->bindParam(":vorname", $vorname);
    $stmt->bindParam(":fuehrung", $fuehrung);
    $stmt->bindParam(":headsets", $headsets);
    $stmt->bindParam(":anzahl_tickets", $anzahl_tickets);
    $stmt->bindParam(":preis", $preis);
    $stmt->bindParam(":typ", $typ);
    $stmt->bindParam(":zahlungsart", $zahlungsart);
    $stmt->bindParam(":iban", $iban);
    $stmt->bindParam(":bic", $bic);
    $stmt->bindParam(":termin", $termin);
} else {
    $sql = "INSERT INTO reservierungen (Name, Vorname, Fuehrung, Anzahl_Headsets, Anzahl_Tickets, Preis, Typ, Termin) 
                VALUES (:name, :vorname, :fuehrung, :headsets, :anzahl_tickets, :preis, :typ, :termin)";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(":name", $name);
    $stmt->bindParam(":vorname", $vorname);
    $stmt->bindParam(":fuehrung", $fuehrung);
    $stmt->bindParam(":headsets", $headsets);
    $stmt->bindParam(":anzahl_tickets", $anzahl_tickets);
    $stmt->bindParam(":preis", $preis);
    $stmt->bindParam(":typ", $typ);
    $stmt->bindParam(":termin", $termin);
}

$stmt->execute();
// Check if the insert was successful
if ($stmt->rowCount() > 0) {
    echo "Buchung/Reservierung erfolgreich!";
} else {
    echo "Fehler beim Einfügen der Daten.";
}
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}
// Close the database connection
$db = null;
?>
